<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of WiClear.
# Copyright (c) 2004-2007 David Jobet. All rights
# reserved.
#
# WiClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# WiClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA
#
# ***** END LICENSE BLOCK *****

function createAdminURLRaw($options, $amp)
{
  global $admin_app_path;

  $url = $admin_app_path.'index.php';

  if (!empty($options))
  {
    $url .= '?';
    $first = true;
    foreach ($options as $k=>$v)
    {
      if (!$first)
      {
        $url .= $amp;
      }
      $url .= $k.'='.$v;
      $first = false;
    }
  }

  return $url;
}

function createAdminURL($options = array())
{
  return createAdminURLRaw($options, '&amp;');
}

function createHeaderAdminURL($options = array())
{
  return createAdminURLRaw($options, '&');
}

function createToolURL($tool, $options = array())
{
  $options['mode'] = 'tools';
  $options['tool'] = $tool;
  return createAdminURLRaw($options, '&amp;');
}

function createHeaderToolURL($tool, $options = array())
{
  $options['mode'] = 'tools';
  $options['tool'] = $tool;
  return createAdminURLRaw($options, '&');
}
?>