<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of WiClear.
# Copyright (c) 2004-2007 David Jobet. All rights
# reserved.
#
# WiClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# WiClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA
#
# ***** END LICENSE BLOCK *****
#
# This file is heavily based on index.php of the dotclear project

error_reporting(E_ALL);

$file_path = __FILE__;
$path      = dirname(__FILE__).'/../';
// let's use a constant instead of a variable so that hacker can't use it to inject something using a require
// on an unprotected directory
define('wc_inc_path', $path);
unset($path);

require wc_inc_path.'/inc/classes/util.class.php';
util::sessionWorkaround(wc_inc_path);

require wc_inc_path.'admin/inc/prepend.inc.php';

// Send HTTP headers
$accept_xml =
        isset($_SERVER['HTTP_ACCEPT']) &&
        strpos($_SERVER['HTTP_ACCEPT'],'application/xhtml+xml') !== false;

if ($accept_xml)
{
  header('Content-Type: application/xhtml+xml');
}
else
{
  header('Content-Type: text/html; charset='.wc_charset);
}

echo '<?xml version="1.0" encoding="'.wc_charset.'"?>';

require wc_inc_path.'admin/inc/template.inc.php';

require wc_inc_path.'admin/inc/append.inc.php';
?>
