<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of WiClear.
# Copyright (c) 2004-2007 David Jobet. All rights
# reserved.
#
# WiClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# WiClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA
#
# ***** END LICENSE BLOCK *****

class WiclearIniConfig
{
  // fields      : map<config_entry=>config_desc>
  // config_desc : list<config_name, type, default_value>
  var $fields = array(
    'wc_db_host'                        => '',
    'wc_db_login'                       => '',
    'wc_db_password'                    => '',
    'wc_db_database'                    => '',
    'wc_db_prefix'                      => '',
    'wc_default_lang'                   => '',
    'wc_wiki_name'                      => '',
    'wc_wiki_accept_anonymous_content'  => 'true',
    'wc_wiki_accept_anonymous_comment'  => 'true',
    'wc_wiki_open_registration'         => 'true',
    'wc_wiki_force_preview'             => 'true',
    'wc_wiki_allow_html'                => 'false',
    'wc_show_toc'                       => 'false',
    'wc_edit_by_section'                => 'false',
    'wc_show_lang_with_title'           => 'true',
    'wc_table_rendering'                => 'table',
    'wc_theme'                          => 'default',
    'wc_feed_format'                    => 'rss_1',
    'wc_url_format'                     => 'get',
    'wc_path'                           => '.',
    'wc_app_path'                       => 'index.php',
    'wc_mod_rewrite_app_path'           => '',
    'wc_icon_path'                      => 'wc_icons',
    'wc_image_path'                     => 'images',
    'wc_mail'                           => '',
    'wc_charset'                        => 'ISO-8859-1',
    'wc_max_url_title'                  => '40',
    'wc_icon_unknown'                   => 'unknown.png',
    'wc_icon_pdf'                       => 'pdf.png',
    'wc_icon_music'                     => 'music.png',
    'wc_icon_video'                     => 'video.png',
    'wc_icon_broken'                    => 'broken.png',
    'wc_icon_folder'                    => 'folder.png',
    'wc_login_timeout'                  => '60',
    'wc_activate_cache'                 => 'false',
    'wc_cache_path'                     => 'cache'
  );
}

?>
