<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of WiClear.
# Copyright (c) 2004-2007 David Jobet. All rights
# reserved.
#
# WiClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# WiClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA
#
# ***** END LICENSE BLOCK *****

/**
 * \brief methods that have no other place to go :-)
 */
class util
{
  /**
   * \brief as safe mode, exotic ISP conf can mess up session and prevent them to work, try to find a workaround
   *
   * \param path the path where to create the session dir if we cannot use the globally set one
   */
  function sessionWorkaround($path)
  {
    return $path;
    $session_dir = ini_get('session.save_path');
    {
      // filter out optional number of directory level (N;save_path)
      $pos = strpos($session_dir, ';');
      if ($pos !== false)
      {
        $session_dir = substr($session_dir, $pos + 1);
      }
    }
    // check rights
    if (!@file_exists($session_dir) || !is_writable($session_dir))
    {
      // we cannot use the session dir as is, we have to change of directory
      $session_dir = $path.'sessions';
      if (!file_exists($session_dir))
      {
        // first create it if needed
        mkdir($session_dir, 0777);
      }
      // and change the session dir
      session_save_path($session_dir);
    }

    return $session_dir;
  }

  // because recursive parameter exists only in PHP5
  function recMkDir($dir)
  {
    if (file_exists($dir))
    {
      return;
    }
    util::recMkDir(dirname($dir));
    mkdir($dir);
  }
}

?>