<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of WiClear.
# Copyright (c) 2004-2007 David Jobet. All rights
# reserved.
#
# WiClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# WiClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA
#
# ***** END LICENSE BLOCK *****

$userActionHandle['ban_add']              = 'onBanAdd';

/**
 * \brief add a new IP to the banned list
 */
function onBanAdd()
{
  if (!isset($_GET['ip']))
  {
    return;
  }
  $ips = explode(',', varGet('ip'));
  $ips = auth::filterOutPrivateIps($ips);

  global $wiki;
  $wiki->addBans($ips);

  global $node;
  $url_options = array('lang'=>$node->lang->code);
  if (isset($_GET['old_mode']))
  {
    $url_options['mode'] = varGet('old_mode');
  }

  header('Location: '.createHeaderURL($node->title, $url_options));
}

?>