<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $user_lang;?>" lang="<?php echo $user_lang;?>">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=<?php echo wc_charset;?>"/>
    <title><?php echo $browser_title_page;?></title>
    <link rel="stylesheet" type="text/css" href="<?php echo $app_path;?>themes/dokuwiki_blog/layout.css" media="screen"/>
    <link rel="stylesheet" type="text/css" href="<?php echo $app_path;?>themes/dokuwiki_blog/style.css" media="screen"/>
    <link rel="stylesheet" type="text/css" href="<?php echo $app_path;?>themes/dokuwiki_blog/form.css" media="screen"/>
    <link rel="alternate" type="application/rdf+xml" title="<?php echo wc_wiki_name;?> (RSS 1.0)" href="<?php echo $app_path;?>feed.php?feed_type=rss&amp;full_content=1"/>
    <link rel="alternate" type="application/rdf+xml" title="<?php echo wc_wiki_name.' '.tr('comments');?> (RSS 1.0)" href="<?php echo $app_path;?>comment_feed.php?feed_type=rss&amp;full_content=1"/>
    <?php echo feedLocalLinks();?>
    <?php echo jsLinks();?>
  </head>
  <body>
  <div id="body">
  <div class="bodyl"><div class="bodyr">
  <div id="logobar"><p class="title"><?php echo wc_wiki_name;?></p></div>
  <div id="topbar">
    <div class="left"><?php echo wikiblogWikiMenu();?></div>
    <div class="right">
      <div id="search"><?php echo searchBox();?></div>
    </div>
    <div class="spacer">&nbsp;</div>
  </div> <!--topbar-->
  <div id="parentnodes"><?php echo wikiblogParentContentBox();?></div>
  <div id="sidebar">
    <div id="calendar"><?php echo wikiblogCalendarBox(); ?></div>
    <?php echo wikiblogCategorySelectBox(); ?>
    <div id="categories">
      <h1><?php echo tr('Categories');?></h1>
      <?php echo wikiblogCategoryBox(); ?>
    </div>
    <div id="archive">
      <h1><?php echo tr('Archives');?></h1>
      <?php echo wikiblogArchiveBox(); ?>
    </div>
    <div id="subnodes"><?php echo wikiblogSubContentBox();?></div>
    <div id="tools"><?php echo wikiblogTools(); ?></div>
    <div id="feeds"><?php echo wikiblogFeeds(); ?></div>
  </div>  <!--sidebar-->
  <div id="content"><?php echo contentBox();?></div>
  <?php echo wikiblogTrackbackArea(); ?>
  <?php echo wikiblogCommentArea(); ?>
  <div id="bottombar"><?php echo userMenu();?></div>
  <div id="linkbar">
    <ul>
      <li><a href="http://validator.w3.org/check?uri=referer"><img src="<?php echo $app_path;?>themes/dokuwiki/images/button-xhtml.png" alt="Valid XHTML 1.0!"/></a></li>
      <li><a href="http://jigsaw.w3.org/css-validator/check/referer"><img src="<?php echo $app_path;?>themes/dokuwiki/images/button-css.png" alt="Valid CSS!"/></a></li>
      <li><?php echo phpExecutionTimeBox(); ?></li>
      <li><?php echo sqlExecutionTimeBox(); ?></li>
    </ul>
  </div> <!--linkbar-->
  <div class="spacer">&nbsp;</div>
  </div></div>
  </div> <!--body-->
  </body>
</html>
