<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of WiClear.
# Copyright (c) 2004-2007 David Jobet. All rights
# reserved.
#
# WiClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# WiClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA
#
# ***** END LICENSE BLOCK *****

/**
 * \brief a trackback
 */
class trackback
{
  var $id;        //!< database id
  var $url;       //!< url of trackback
  var $blog_name; //!< name of blog that track backs
  var $title;     //!< title of comment
  var $excerpt;   //!< the excerpt
  var $timestamp; //!< date of comment
  var $ip;        //!< ip that has added the trackback

  /**
   * \brief constructs a trackback
   *
   * \param id database id
   * \param url url of trackback
   * \param blog_name name of blog that track backs
   * \param title title of comment
   * \param excerpt the excerpt
   * \param timestamp date of the comment
   * \param ip ip that has added the trackback
   */
  function trackback($id, $url, $blog_name, $title, $excerpt, $timestamp, $ip)
  {
    $this->id        = $id;
    $this->url       = $url;
    $this->blog_name = $blog_name;
    $this->title     = $title;
    $this->excerpt   = $excerpt;
    $this->timestamp = $timestamp;
    $this->ip        = $ip;
  }
}

?>