<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of WiClear.
# Copyright (c) 2004-2007 David Jobet. All rights
# reserved.
#
# WiClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# WiClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA
#
# ***** END LICENSE BLOCK *****

/**
 * \file
 * \brief Define several constants used in the database
 */

// user anonymous
define('user_anonymous_id', 1);

// admin value available in col admin of table user
define('user_value'       , 0);
define('moderator_value'  , 1);
define('admin_value'      , 2);

// type value available in col type of table metadata
define('metadata_open'    , 0);
define('metadata_close'   , 1);

// minor/major value available in col minor_major of tables content and history
define('minor_value'      , 0);
define('major_value'      , 1);

// acl types value available in col acl_type of table content_group
define('acl_write'        , 1);
define('acl_read'         , 2);
define('acl_comment'      , 3);
define('acl_plugin_start' , 20);

// cache global pages group name
define('cache_global_pages_name', 'global_pages');
?>