CREATE TABLE {prefix}content
(
  id                      int(6)    NOT NULL auto_increment,
  title                   char(100) NOT NULL,
  alternate_title         char(100),
  content                 LONGTEXT,
  minor_major             int(1),
  commit_msg              varchar(200),
  timestamp               int(8),
  ip                      varchar(255),
  creation_time           int(8),

  user_fk                 int(6),
  lang_fk                 int(6),

  PRIMARY                 KEY (id),
  INDEX                   (title),
  INDEX                   (lang_fk)
);
