CREATE TABLE {prefix}history
(
  id                 int(6)    NOT NULL auto_increment,
  title              char(100) NOT NULL,
  alternate_title    char(100),
  content            LONGTEXT,
  minor_major        int(1),
  commit_msg         varchar(200),
  timestamp          int(8),
  ip                 varchar(255),

  user_fk            int(6),
  content_fk         int(6),
  parent_content_fk  int(6),

  PRIMARY            KEY (id),
  INDEX              (content_fk)
);
