#!/bin/sh
# ***** BEGIN LICENSE BLOCK *****
# This file is part of WiClear.
# Copyright (c) 2004-2007 David Jobet. All rights
# reserved.
#
# WiClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# WiClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA
#
# ***** END LICENSE BLOCK *****

DATE=`/bin/date +%Y-%m-%d`
BRANCH="1.0"
BRANCH_NAME="wiclear--dj--$BRANCH"
mkdir tmp-archive
cd tmp-archive
tla get $BRANCH_NAME
mv "$BRANCH_NAME--patch-"* "wiclear-$DATE"
rm -Rf "wiclear-$DATE/{arch}"
find "wiclear-$DATE" -name .arch-ids -exec rm -Rf {} \; 2>/dev/null
tar cvzf "wiclear-$DATE.tgz" "wiclear-$DATE"
mv "wiclear-$DATE.tgz" ..
cd ..
rm -Rf tmp-archive
