<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $user_lang;?>" lang="<?php echo $user_lang;?>">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=<?php echo wc_charset;?>"/>
    <title><?php echo $browser_title_page;?></title>
    <link rel="stylesheet" type="text/css" href="<?php echo $app_path;?>themes/blue/style.css" media="screen"/>
    <link rel="alternate" type="application/rdf+xml" title="<?php echo wc_wiki_name;?> (RSS 1.0)" href="<?php echo $app_path;?>feed.php?feed_type=rss&amp;full_content=1"/>
    <link rel="alternate" type="application/rdf+xml" title="<?php echo wc_wiki_name.' '.tr('comments');?> (RSS 1.0)" href="<?php echo $app_path;?>comment_feed.php?feed_type=rss&amp;full_content=1"/>
    <?php echo feedLocalLinks();?>
    <?php echo jsLinks();?>
  </head>
  <body>
  <div id="user_links"><?php echo userMenu();?></div>
  <div id="related">
    <div id="sub_content" class="wc_opacity">
      <div class="sc_left">
        <div class="sc_right">
          <div class="sc_top">
            <div class="sc_top_left"></div>
            <div class="sc_top_right"></div>
          </div>
          <div class="sc_content"><p><?php echo tr('Sub nodes');?></p><?php echo subContentBox();?></div>
          <div class="sc_bottom">
            <div class="sc_bottom_left"></div>
            <div class="sc_bottom_right"></div>
          </div>
        </div>
      </div>
    </div>
    <div id="search"><?php echo searchBox();?></div>
    <div id="metadata"><?php echo metadataBox();?></div>
    <div id="change"><?php echo recentChangesBox();?></div>
    <div id="links"><?php echo whatLinksHereBox();?></div>
    <div id="site_plan"><?php echo sitePlanBox();?></div>
    <div id="syndication">
      <ul>
        <li><a href="<?php echo feedRecentChangesUrl(); ?>"><?php echo tr('Rss thread');?></a></li>
        <li><a href="<?php echo feedRecentCommentsUrl();?>"><?php echo tr('Rss comments');?></a></li>
        <li><a href="<?php echo feedLocalChangesUrl();  ?>"><?php echo tr('Local Rss history');?></a></li>
        <li><a href="<?php echo feedLocalCommentsUrl(); ?>"><?php echo tr('Local Rss comments');?></a></li>
      </ul>
    </div>
    <div id="spacer">&nbsp;</div>
    <div id="xhtml_validation" class="wc_opacity"><a href="http://validator.w3.org/check?uri=referer"><img style="border:0;width:88px;height:31px" src="http://www.w3.org/Icons/valid-xhtml10" alt="Valid XHTML 1.0!" height="31" width="88"/></a></div>
    <div id="css_validation" class="wc_opacity"><a href="http://jigsaw.w3.org/css-validator/check/referer"><img style="border:0;width:88px;height:31px" src="http://jigsaw.w3.org/css-validator/images/vcss" alt="Valid CSS!"/></a></div>
  </div>
  <div id="main">
    <div id="parent_content" class="wc_opacity"><?php echo parentContentBox();?></div>
    <div id="wiki_links" class="wc_opacity"><?php echo wikiMenu();?></div>
    <div id="content" class="wc_opacity">
      <div class="content_left">
        <div class="content_right">
          <div class="content_top">
            <div class="content_top_left"></div>
            <div class="content_top_right"></div>
          </div>
          <div class="content_content"><?php echo contentBox();?></div>
          <div class="content_bottom">
            <div class="content_bottom_left"></div>
            <div class="content_bottom_right"></div>
          </div>
        </div>
      </div>
    </div>
    <div id="comment_link" class="wc_opacity"><?php echo commentLink();?></div>
    <div id="comments" class="wc_opacity">
      <div class="comment_left">
        <div class="comment_right">
          <div class="comment_top">
            <div class="comment_top_left"></div>
            <div class="comment_top_right"></div>
          </div>
          <div class="comment_content"><?php echo commentBox();?></div>
          <div class="comment_bottom">
            <div class="comment_bottom_left"></div>
            <div class="comment_bottom_right"></div>
          </div>
        </div>
      </div>
    </div>
  </div>
  </body>
</html>
