<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $user_lang;?>" lang="<?php echo $user_lang;?>">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=<?php echo wc_charset;?>"/>
    <title><?php echo $browser_title_page;?></title>
    <link rel="stylesheet" type="text/css" href="<?php echo $app_path;?>themes/dokuwiki/layout.css" media="screen"/>
    <link rel="stylesheet" type="text/css" href="<?php echo $app_path;?>themes/dokuwiki/style.css" media="screen"/>
    <link rel="stylesheet" type="text/css" href="<?php echo $app_path;?>themes/dokuwiki/form.css" media="screen"/>
    <link rel="alternate" type="application/rdf+xml" title="<?php echo wc_wiki_name;?> (RSS 1.0)" href="<?php echo $app_path;?>feed.php?feed_type=rss&amp;full_content=1"/>
    <link rel="alternate" type="application/rdf+xml" title="<?php echo wc_wiki_name.' '.tr('comments');?> (RSS 1.0)" href="<?php echo $app_path;?>comment_feed.php?feed_type=rss&amp;full_content=1"/>
    <?php echo feedLocalLinks();?>
    <?php echo jsLinks();?>
  </head>
  <body>
  <div id="logobar"><h1 class="title"><?php echo wc_wiki_name;?></h1>
    <div id="menuaccess"><?php echo accessMenu();?></div>
    <div id="userlogobar"><?php echo userMenu();?></div>
  </div>
  <div id="topbar">
    <?php echo wikiMenu();?>
  </div>
  <div id="parentnodes">
    <h2><?php echo tr('You are here').' : ';?></h2>
    <?php echo parentContentBox();?>
  </div>
  <div id="left_sidebar">
    <div id="subnodes">
      <h2><?php echo tr('Sub nodes');?></h2>
      <?php echo subContentBox();?>
    </div>
  </div>
  <div id="right_sidebar">
    <div id="tools">
      <h2><?php echo tr('Tools');?></h2>
      <div id="search"><?php echo searchBox();?></div>
      <ul>
        <?php $html = getRootNodeLink(); if (!empty($html)) { echo '<li>'.$html.'</li>';} ?>
        <li><?php echo recentChangesBox();?></li>
        <?php $html = metadataBox(); if (!empty($html)) { echo '<li>'.$html.'</li>';} ?>
        <?php $html = whatLinksHereBox(); if (!empty($html)) { echo '<li>'.$html.'</li>';} ?>
        <?php if (function_exists('sitePlanBox')) { echo '<li>'.sitePlanBox().'</li>';} ?>
        <?php $html = attachmentsBox(); if (!empty($html)) { echo '<li>'.$html.'</li>'; } ?>
        <?php $html = browseAllAttachmentsBox(); if (!empty($html)) { echo '<li>'.$html.'</li>'; } ?>
        <?php if (function_exists('addTrackbackBox')) { $html = addTrackbackBox(); if (!empty($html)) { echo '<li>'.$html.'</li>'; }} ?>
        <?php $html = printLink(); if (!empty($html)) { echo '<li>'.$html.'</li>';} ?>
        <?php $html = sourceLink(); if (!empty($html)) { echo '<li>'.$html.'</li>';} ?>
      </ul>
    </div>
    <div id="feeds">
    <h2>Feeds</h2>
      <ul>
        <li><a href="<?php echo feedRecentChangesUrl(); ?>"><?php echo tr('Recent changes');?></a></li>
        <li><a href="<?php echo feedRecentCommentsUrl();?>"><?php echo tr('Recent comments');?></a></li>
        <?php $html=feedLocalChangesUrl(); if (!empty($html)) { echo '<li><a href="'.$html.'">'.tr('Page History').'</a></li>'; }?>
        <?php $html=feedLocalCommentsUrl(); if (!empty($html)) { echo '<li><a href="'.$html.'">'.tr('Page comments').'</a></li>'; }?>
      </ul>
    </div>
  </div>
  <div id="content"><?php echo contentBox();?></div>
  <div id="trackbacks"><?php if (function_exists('trackbackBox')) { echo trackbackBox(); } ?></div>
  <div id="comment_link"><?php echo commentLink();?></div>
  <div id="comments"><?php echo commentBox();?></div>
  <div id="bottombar"><?php echo userMenu();?></div>
  <div id="linkbar">
    <ul>
      <li><a href="http://validator.w3.org/check?uri=referer"><img src="<?php echo $app_path;?>themes/dokuwiki/images/button-xhtml.png" alt="Valid XHTML 1.0!"/></a></li>
      <li><a href="http://jigsaw.w3.org/css-validator/check/referer"><img src="<?php echo $app_path;?>themes/dokuwiki/images/button-css.png" alt="Valid CSS!"/></a></li>
      <li><?php echo tr('Powered by').' <a href="http://wiclear.free.fr">Wiclear</a>'; ?></li>
      <li><?php echo phpExecutionTimeBox(); ?></li>
      <li><?php echo sqlExecutionTimeBox(); ?></li>
    </ul>
  </div>
  </body>
</html>
