function showHide(elem)
{
  var nodeName = elem.parentNode.parentNode.parentNode.nodeName
  if (nodeName.toLowerCase() != 'div') return false;

  var div = elem.parentNode.parentNode.parentNode;

  var uls = div.getElementsByTagName('ul');

  for (var i = 0; i < uls.length; i++)
  {
    if (uls[i].showHide == 'show')
    {
      uls[i].style.height  = '0px'; 
      uls[i].style.overflow = 'hidden';
      uls[i].showHide = 'hide';
      elem.replaceChild(document.createTextNode('show'), elem.firstChild);
    }
    else
    {
      uls[i].style.height  = uls[i].scrollHeight+'px';
      uls[i].showHide = 'show';
      elem.replaceChild(document.createTextNode('hide'), elem.firstChild); 
    }
  }
}

function setupShowHide()
{
  if(!document.getElementById) return false;
  if(!document.getElementById('tocheader')) return false;

  var legend = document.getElementById('tocheader');

  var span = document.createElement('span');
  span.appendChild(document.createTextNode('['));

  var link = document.createElement('a');
  link.href = '#';
  link.onclick = function() { showHide(this); return false; };
  link.appendChild(document.createTextNode('hide'));
  span.appendChild(link);

  span.appendChild(document.createTextNode(']'));

  for (var i = 0; i < legend.childNodes.length; i++)
  {
    var nodeName = legend.childNodes[i].nodeName
    if (nodeName.toLowerCase() == 'h2')
    {
      legend.childNodes[i].appendChild(document.createTextNode(' '));
      legend.childNodes[i].appendChild(span);
      continue;
    }
  }

  var uls = legend.getElementsByTagName('ul');
  for (var x = 0; x < uls.length; x++)
  {
    uls[x].showHide = 'show';
  }
}

//Add to window.onload
addLoadListener(setupShowHide);