<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of WiClear.
# Copyright (c) 2004-2007 David Jobet. All rights
# reserved.
#
# WiClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# WiClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA
#
# ***** END LICENSE BLOCK *****

global $pluginManager;
$pluginManager->addContentBoxHandle('site_plan', 'displaySitePlan');
$pluginManager->addJavascriptLibs('site_plan', 'tools/site_plan/site_plan.js');
$pluginManager->addBrowserTitlePageHandle('site_plan', 'browserSitePlan');

/**
 * \brief creates site plan link
 * \ingroup site_plan_template_functions
 *
 * \return html link
 */
function sitePlanBox()
{
  global $pluginManager;
  $pluginManager->loadI18N('site_plan');

  return '<a href="'.createURL('SpecialPage:site_plan').'">'.tr('Site plan').'</a>';
}
?>