<?php
# ***** BEGIN LICENSE BLOCK *****
# This file is part of WiClear.
# Copyright (c) 2004-2007 David Jobet. All rights
# reserved.
#
# WiClear is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# WiClear is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with DotClear; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA
#
# ***** END LICENSE BLOCK *****

error_reporting(E_ALL);
@ini_set('session.use_cookies','1');
@ini_set('session.use_only_cookies','1');
@ini_set('url_rewriter.tags','');
@ini_set('session.use_trans_sid', '0');
session_start();

$path = dirname(__FILE__)."/../../..";
// let's use a constant instead of a variable so that hacker can't use it to inject something using a require
// on an unprotected directory
define(wc_inc_path, $path);
unset($path);

require wc_inc_path."/inc/classes/ini.class.php";
require wc_inc_path."/inc/classes/WiclearIni.conf.php";
require wc_inc_path."/inc/classes/auth.class.php";

$ini = new ini(wc_inc_path."/conf/config.ini");
$ini->importConstants();

// url
require wc_inc_path."/inc/lib/url.lib.php";
$app_path = createWebAppPath();

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=<?php echo wc_charset;?>"/>
    <title><?php echo wc_wiki_name;?> trackback form test</title>
  </head>
  <body>
  <form action="<?php echo $app_path."tools/trackback/trackback.php?id=1"; ?>" method="post">
  <fieldset>
  <legend>Trackback test</legend>
  <p class="field">
    <label for="fblog_name">Blog Name</label>
    <input type="text" name="blog_name" id="fblog_name"/>
  </p>
  <p class="field">
    <label for="ftitle">Title</label>
    <input type="text" name="title" id="ftitle"/>
  </p>
  <p class="field">
    <label for="fexcerpt">Excerpt</label>
    <textarea name="excerpt" rows="20" cols="50" id="fexcerpt"></textarea>
  </p>
  <p class="field">
    <label for="furl">Url</label>
    <input type="text" name="url" id="furl"/>
  </p>
  <p class="field">
    <input class="submit" type="submit" value="Trackback"/>
  </p>
  <!--dotclear compatibility test-->
  <!--<input type="hidden" name="utf8" value="0" id="furl"/>-->
  <p class="field"/>
  </fieldset>
  </form>
  </body>
</html>
